#include <iostream>
#include <stdio.h>
#include <stdlib.h>
#include <time.h>
using namespace std;

int main()
{
    int n, br1, br2, i;

    srand(time(0));

    scanf("%d", &n);
    for(i=1; i<n; i++)
        scanf("%d%d",&br1, &br2);

    br1=rand()%(n/2);

    printf("%d",br1);

    return 0;
}